@echo off
bcdedit /set nx alwaysoff
if %errorlevel% == 1 (
msg  %username% /time:5  对不起，权限不足，请尝试右键选择【以管理员身份运行】！
echo.
echo 对不起，权限不足，请尝试右键选择【以管理员身份运行】！
ping 127.1 -n 6 >nul
exit
)
if %errorlevel% == 0 (goto menu)
:menu
echo.
echo.
echo.
echo.
echo 您好，CRY客户端已经修复完成
echo.
echo   需重启计算机才能生效
echo.
echo ===========================
echo.
echo 【Y】立即重启   【N】稍后重启
echo.
set /p yn=请输入选择后回车确认：
if /i "%yn%"=="y" goto yes
if /i "%yn%"=="n" goto no
echo 您输入的有误，请查询输入。&ping 0 -n "2">nul&cls&goto menu
:yes
shutdown -r -t 0
:no
exit


